Subject: Re: patchwork.kernel.org down

From: "J.H." <[email-masked]>
Date: Mon, 10 Jan 2011 12:04:31 -0800

On 01/10/2011 10:52 AM, Roland Dreier wrote:
>  >  > More excitement from https://bugzilla.kernel.org/show_bug.cgi?id=20702
>  >  > 
>  >  > Anyone want to take a stab at it?  I know I'd be appreciative.  I am
>  >  > running a debug kernel with everything I could find and enable I even
>  >  > remotely thought might prove helpful.  Nothing has jumped out yet though.
>  > 
>  > A little late, but perhaps running with the patch below might help us
>  > make a bit of progress.  The idea is to dump the last /proc/net file
>  > opened and closed, so we can at least have a clue as to where the crash
>  > is coming from.  This should add lines like 
>  > 
>  >     last procfs open:  /proc/2443/net/arp
>  >     last procfs close: /proc/2443/net/arp
>  > 
>  > to the oops output, so maybe we can zero in on things after you get a
>  > crash with this applied.
> 
> Just curious -- did you get a chance to run with this patch applied?
> Did you collect any oopses yet?

Not yet, I'm adding it in this afternoon.  I did the upgrade to Fedora
14 (and thus 2.6.35.10) and seem to be getting, if not the same bug, a
darned similar one:

http://pastebin.osuosl.org/36644

I haven't added it to 20702 yet as I haven't had time to confirm if it's
the same issue, but at first glance it looks it.  My plan is to compile
up a mainline kernel, with the above patch, and with debugging turned on
and to capture as much as I can from that.

- John 'Warthog9' Hawley